Skip to main content
GET
/
incoming_ach
List Incoming ACHs
curl --request GET \
  --url https://api.treasuryprime.com/incoming_ach \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "account_id": "<string>",
      "account_number": "<string>",
      "account_type": "<string>",
      "amount": "<string>",
      "bank_id": "<string>",
      "company_desc": "<string>",
      "company_id": "<string>",
      "company_name": "<string>",
      "description": "<string>",
      "direction": "<string>",
      "effective_date": "<string>",
      "exception_type": "<string>",
      "id": "<string>",
      "nacha_body": {
        "batches": [
          {}
        ],
        "destination": {},
        "file_id": "<string>",
        "origin": {},
        "reference_code": "<string>"
      },
      "name": "<string>",
      "org_id": "<string>",
      "original_transaction_id": "<string>",
      "related_transaction_ids": [
        "<string>"
      ],
      "sec_code": "<string>",
      "status": "<string>",
      "trace_number": "<string>",
      "transaction_code": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

account_id
string

ID of the Account receiving the transfer. Filterable.

account_number
string

Receiving bank account number. Filterable.

original_transaction_id
string

ID of the transaction that the incoming ACH is directly related to. Filterable.

status
string

One of done, failed, pending, or returned. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size incoming_ach elements, starting after the incoming_ach described by page_cursor. If no more incoming_achs are available, the resulting list will be empty.

data
object[]